/*
 * Copyright (C) 2013 Darth Affe <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.factories;

import com.jme3.asset.AssetManager;
import com.jme3.material.Material;

/**
 *
 * @author Darth Affe
 */
public enum Materials {

    UNSHADED("Common/MatDefs/Misc/Unshaded.j3md", null),
    HEX("Common/MatDefs/Light/Lighting.j3md", "Textures/Hex.png"),
    GLOW("Common/MatDefs/Light/Lighting.j3md", null);
    private static AssetManager assetManager;
    private String material;
    private String texture;

    Materials(String material, String texture) {
        this.material = material;
        this.texture = texture;
    }

    public Material create() {
        Material mat = new Material(assetManager, material);
        if (texture != null) {
            mat.setTexture("DiffuseMap", assetManager.loadTexture(texture));
        }
        return mat;
    }

    public static void initialize(AssetManager assetManager) {
        Materials.assetManager = assetManager;
    }
}
